## grails.test
Class DemandProxy

    java.lang.Object
      grails.test.DemandProxy

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class DemandProxy

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`DemandProxy(Class mockedClass, boolean loose)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.mock.interceptor.Demand` `getDemand()`
`Object` `getExpectation()`
`boolean` `getIsStatic()`
`groovy.lang.MetaClass` `getMetaClass()`
`Class` `getMockedClass()`
`Object` `getProperty(String property)`
`Object` `getStatic()`
`Object` `invokeMethod(String methodName, Object args)`
`boolean` `isIsStatic()`
`void` `setDemand(groovy.mock.interceptor.Demand value)`
`void` `setExpectation(Object value)`
`void` `setIsStatic(boolean value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setMockedClass(Class value)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DemandProxy

    public DemandProxy(Class mockedClass,
                       boolean loose)

Method Detail

### getMockedClass

    public Class getMockedClass()

### setMockedClass

    public void setMockedClass(Class value)

### getDemand

    public groovy.mock.interceptor.Demand getDemand()

### setDemand

    public void setDemand(groovy.mock.interceptor.Demand value)

### getExpectation

    public Object getExpectation()

### setExpectation

    public void setExpectation(Object value)

### getIsStatic

    public boolean getIsStatic()

### isIsStatic

    public boolean isIsStatic()

### setIsStatic

    public void setIsStatic(boolean value)

### invokeMethod

    public Object invokeMethod(String methodName,
                               Object args)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getStatic

    public Object getStatic()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project